# $Revision: 1.52 $, $Date: 2007-02-13 06:46:54 $
# TODO:
#   - make two virus db sources providing mks-virdb-source
#       - cron update
#       - static db (built with package)

Summary:	Daemon for mks-anti-virus utility for Unix
Summary(pl.UTF-8):	Demon dla mks - antywirusowe narzędzie dla Uniksów
Name:		mksd
Version:	1.15.2
Release:	8
License:	It's free, but requires ads of mks.com.pl on your WWW (see licencja.txt)
Group:		Applications
Source0:	http://download.mks.com.pl/download/linux/%{name}Linux-%{version}.tgz
# Source0-md5:	d7094273de4df897a4e69f6c6f43244c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://linux.mks.com.pl/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/usr/sbin/usermod
Requires:	mks
Requires:	rc-scripts
Provides:	group(mksd)
Provides:	user(mksd)
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MKSD Antivirus is anti-virus scanner for Unix.

%description -l pl.UTF-8
MKSD jest demonem dla Linuksa przyspieszającym skanowanie poczty przy
korzystaniu z mks.

%package clients
Summary:	MKSD system clients
Summary(pl.UTF-8):	Aplikacje klienckie dla MKSD
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description clients
MKSD system clients.

%description clients -l pl.UTF-8
Aplikacje klienckie dla MKSD.

%package devel
Summary:	MKSD - development header files and libraries
Summary(pl.UTF-8):	MKSD - pliki nagłówkowe i biblioteki dla programistów
Group:		Development/Libraries

%description devel
This package contains the development header files and libraries
necessary to develop MKSD client applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do kompilacji aplikacji
klienckich MKSD.

%prep
%setup -q

%build
tar xf inne/src.tar
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT{/var/run/mksd,/etc/{rc.d/init.d,sysconfig}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mksd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mksd
install *.h $RPM_BUILD_ROOT%{_includedir}/libmksd.h
install *.a $RPM_BUILD_ROOT%{_libdir}
%ifarch %{ix86}
install mksd mkschk mkschkin mksfiltr mksscan $RPM_BUILD_ROOT%{_bindir}
%endif
%ifarch %{x8664}
install mksd.static $RPM_BUILD_ROOT%{_bindir}/mksd
install mkschk $RPM_BUILD_ROOT%{_bindir}/mkschk
install mkschkin.static $RPM_BUILD_ROOT%{_bindir}/mkschkin
install mksfiltr.static $RPM_BUILD_ROOT%{_bindir}/mksfiltr
install mksscan.static $RPM_BUILD_ROOT%{_bindir}/mksscan
%endif

install inne/mks* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- amavis-ng
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "Adding mksd to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd-new
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "Adding mksd to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "Adding mksd to amavis group GID=$AMAVIS"
fi

%pre
%groupadd -g 44 mksd
%useradd -u 44 -d /tmp -s /bin/false -c "Mksd Anti Virus Checker" -g mksd mksd
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "Adding mksd to amavis group GID=$AMAVIS"
fi

%postun
if [ "$1" = "0" ]; then
	%userremove mksd
	%groupremove mksd
fi

%post
/sbin/chkconfig --add mksd
%service mksd restart "Mksd for Linux daemon"

%preun
if [ "$1" = "0" ];then
	%service mksd stop
	/sbin/chkconfig --del mksd
fi

%files
%defattr(644,root,root,755)
%doc README LICENCJA CONOWEGO
%attr(755,root,root) %{_bindir}/mksd
%attr(754,root,root) /etc/rc.d/init.d/mksd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mksd
%attr(755,mksd,mksd) /var/run/mksd

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mks[cfsw]*
%doc inne/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mksd.spec,v $
Revision 1.52  2007-02-13 06:46:54  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.50  2006/09/09 01:27:21  glen
- strict internal deps

Revision 1.49  2006/09/09 01:26:46  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.48  2006/04/20 16:41:12  glen
- fix chkconfig deps

Revision 1.47  2006/04/15 13:02:15  glen
- rel 7

Revision 1.46  2006/04/14 15:19:45  glen
- rel 6

Revision 1.45  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.44  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.43  2005/05/31 19:36:13  ankry
- rel. 5

Revision 1.42  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.41  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.40  2005/04/17 23:50:04  tommat
- added amd64

Revision 1.39  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.38  2004/11/02 16:35:27  havner
- retval was checked from wrong operation, %pre shouldn't fail

Revision 1.37  2004/10/17 07:41:18  paszczus
- massive attack: added Source0-size

Revision 1.36  2004/10/13 23:19:37  ankry
- %userremove/%groupremove support, standardized, simplified user adding

Revision 1.35  2004/07/28 15:28:33  gotar
- release 4; rebuild with new cron stuff; there's no bazy4.tgz since 12.07

Revision 1.34  2004/04/10 22:08:19  hunter
- corrected license

Revision 1.33  2003/12/11 11:51:08  matkor
- Release 3. Added to mksd.sysconfig UPDATE_QUIET, UPDATE_HOUR.
  Pointed out by Andrzej Zawadzki zawadaa malpa wp kropka pl.

Revision 1.32  2003/12/04 16:50:01  ankry
- cosmetics

Revision 1.31  2003/12/03 18:58:25  matkor
- Release 2. (Ac)

Revision 1.30  2003/12/03 18:55:37  matkor
- Version 1.15.2. Release 1. STBR for Ra.

Revision 1.29  2003/11/25 11:15:26  speedy
- release 6
- ExclusiveArch:  %{ix86}

Revision 1.28  2003/09/23 09:36:01  matkor
- Release 5. added mksscan file to package.

Revision 1.27  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.25  2003/07/29 14:45:49  blues
- unified Mksd name

Revision 1.24  2003/07/29 09:01:49  qboosh
- typo

Revision 1.23  2003/07/29 08:03:55  jasio
- Small fix License field

Revision 1.22  2003/07/29 08:00:52  jasio
- Release 3
- Updated License field
- This version is for Ra and Nest
- STBR

Revision 1.21  2003/07/28 11:43:59  hunter
- trigger groupadd mksd to group amavis for amavis* daemons.

Revision 1.20  2003/07/28 10:28:07  hunter
- getgid amavis

Revision 1.19  2003/07/26 04:02:26  blues
- now it is like it should be

Revision 1.18  2003/07/26 03:53:26  hunter
- fixed install -d, now should build

Revision 1.17  2003/07/25 12:47:11  blues
- some cleanups

Revision 1.16  2003/07/10 08:56:01  jasio
- mksd is now added to amavis group to scan messages
- added preun end post sections
- STBR

Revision 1.15  2003/06/12 11:05:57  jasio
- corrected Version field

Revision 1.14  2003/06/12 11:00:43  jasio
- corrected md5sum for new version of sources

Revision 1.13  2003/06/12 10:48:19  jasio
- update to version 1.14.2

Revision 1.12  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/17 06:50:06  pascalek
- revert user changes

Revision 1.9  2003/05/10 11:30:20  pascalek
- Req user-mksd

Revision 1.8  2003/05/05 11:02:53  areq
- 1.13

Revision 1.7  2003/02/13 22:41:28  areq
- 1.12

Revision 1.6  2002/12/07 14:33:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.5  2002/12/03 18:12:19  areq
- 1.10, STBR

Revision 1.4  2002/11/25 14:50:45  areq
- 1.09

Revision 1.3  2002/11/15 14:50:36  areq
- 1.08

Revision 1.2  2002/10/22 21:50:28  qboosh
- s/Warning/Error/ in %pre, added Requires(pre,postun)

Revision 1.1  2002/10/20 20:15:11  areq
- init PLD spec
